Index: Sections/TestService.cs
===================================================================
--- Sections/TestService.cs	(revision 28043)
+++ Sections/TestService.cs	(working copy)
@@ -263,7 +263,7 @@
         {
           mpGroupBox1.Visible = true;
           mpGroupBox1.Text = String.Format("Status of card {0}", card.Name);
-          mpLabelTunerLocked.Text = card.IsTunerLocked ? "yes" : "no";
+          mpLabelTunerLocked.Text = card.IsTunerLocked ? "Yes" : "No";
           progressBarLevel.Value = Math.Min(100, card.SignalLevel);
           mpLabelSignalLevel.Text = card.SignalLevel.ToString();
           progressBarQuality.Value = Math.Min(100, card.SignalQuality);
Index: Sections/TestService.Designer.cs
===================================================================
--- Sections/TestService.Designer.cs	(revision 28043)
+++ Sections/TestService.Designer.cs	(working copy)
@@ -28,259 +28,261 @@
     /// </summary>
     private void InitializeComponent()
     {
-      this.components = new System.ComponentModel.Container();
-      System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(TestService));
-      this.progressBarQuality = new System.Windows.Forms.ProgressBar();
-      this.progressBarLevel = new System.Windows.Forms.ProgressBar();
-      this.label2 = new System.Windows.Forms.Label();
-      this.label1 = new System.Windows.Forms.Label();
-      this.mpLabel3 = new MediaPortal.UserInterface.Controls.MPLabel();
-      this.mpLabelTunerLocked = new MediaPortal.UserInterface.Controls.MPLabel();
-      this.mpLabelChannel = new MediaPortal.UserInterface.Controls.MPLabel();
-      this.label12 = new System.Windows.Forms.Label();
-      this.mpGroupBox1 = new MediaPortal.UserInterface.Controls.MPGroupBox();
-      this.label3 = new System.Windows.Forms.Label();
-      this.txtDisc = new MediaPortal.UserInterface.Controls.MPNumericTextBox();
-      this.txtBytes = new MediaPortal.UserInterface.Controls.MPNumericTextBox();
-      this.label4 = new System.Windows.Forms.Label();
-      this.mpLabelSignalQuality = new MediaPortal.UserInterface.Controls.MPLabel();
-      this.mpLabelSignalLevel = new MediaPortal.UserInterface.Controls.MPLabel();
-      this.mpLabelRecording = new MediaPortal.UserInterface.Controls.MPLabel();
-      this.mpLabelTimeShift = new MediaPortal.UserInterface.Controls.MPLabel();
-      this.mpLabel1 = new MediaPortal.UserInterface.Controls.MPLabel();
-      this.mpButtonTimeShift = new MediaPortal.UserInterface.Controls.MPButton();
-      this.mpButtonRec = new MediaPortal.UserInterface.Controls.MPButton();
-      this.timer1 = new System.Windows.Forms.Timer(this.components);
-      this.mpListView1 = new MediaPortal.UserInterface.Controls.MPListView();
-      this.columnHeader1 = new System.Windows.Forms.ColumnHeader();
-      this.columnHeader2 = new System.Windows.Forms.ColumnHeader();
-      this.columnHeader3 = new System.Windows.Forms.ColumnHeader();
-      this.columnHeader4 = new System.Windows.Forms.ColumnHeader();
-      this.columnHeader5 = new System.Windows.Forms.ColumnHeader();
-      this.User = new System.Windows.Forms.ColumnHeader();
-      this.cardName = new System.Windows.Forms.ColumnHeader();
-      this.subchannels = new System.Windows.Forms.ColumnHeader();
-      this.buttonRestart = new System.Windows.Forms.Button();
-      this.mpButtonReGrabEpg = new MediaPortal.UserInterface.Controls.MPButton();
-      this.imageList1 = new System.Windows.Forms.ImageList(this.components);
-      this.mpComboBoxChannels = new SetupControls.ComboBoxEx();
-      this.comboBoxGroups = new SetupControls.ComboBoxEx();
-      this.mpLabel2 = new MediaPortal.UserInterface.Controls.MPLabel();
-      this.mpGroupBox1.SuspendLayout();
-      this.SuspendLayout();
-      // 
-      // progressBarQuality
-      // 
-      this.progressBarQuality.Location = new System.Drawing.Point(113, 102);
-      this.progressBarQuality.Name = "progressBarQuality";
-      this.progressBarQuality.Size = new System.Drawing.Size(303, 10);
-      this.progressBarQuality.TabIndex = 52;
-      // 
-      // progressBarLevel
-      // 
-      this.progressBarLevel.Location = new System.Drawing.Point(113, 79);
-      this.progressBarLevel.Name = "progressBarLevel";
-      this.progressBarLevel.Size = new System.Drawing.Size(303, 10);
-      this.progressBarLevel.TabIndex = 51;
-      // 
-      // label2
-      // 
-      this.label2.AutoSize = true;
-      this.label2.Location = new System.Drawing.Point(21, 99);
-      this.label2.Name = "label2";
-      this.label2.Size = new System.Drawing.Size(72, 13);
-      this.label2.TabIndex = 50;
-      this.label2.Text = "Signal quality:";
-      // 
-      // label1
-      // 
-      this.label1.AutoSize = true;
-      this.label1.Location = new System.Drawing.Point(21, 76);
-      this.label1.Name = "label1";
-      this.label1.Size = new System.Drawing.Size(64, 13);
-      this.label1.TabIndex = 49;
-      this.label1.Text = "Signal level:";
-      // 
-      // mpLabel3
-      // 
-      this.mpLabel3.AutoSize = true;
-      this.mpLabel3.Location = new System.Drawing.Point(21, 47);
-      this.mpLabel3.Name = "mpLabel3";
-      this.mpLabel3.Size = new System.Drawing.Size(49, 13);
-      this.mpLabel3.TabIndex = 47;
-      this.mpLabel3.Text = "Channel:";
-      // 
-      // mpLabelTunerLocked
-      // 
-      this.mpLabelTunerLocked.AutoSize = true;
-      this.mpLabelTunerLocked.Location = new System.Drawing.Point(113, 24);
-      this.mpLabelTunerLocked.Name = "mpLabelTunerLocked";
-      this.mpLabelTunerLocked.Size = new System.Drawing.Size(19, 13);
-      this.mpLabelTunerLocked.TabIndex = 46;
-      this.mpLabelTunerLocked.Text = "no";
-      // 
-      // mpLabelChannel
-      // 
-      this.mpLabelChannel.AutoEllipsis = true;
-      this.mpLabelChannel.Location = new System.Drawing.Point(113, 47);
-      this.mpLabelChannel.Name = "mpLabelChannel";
-      this.mpLabelChannel.Size = new System.Drawing.Size(303, 26);
-      this.mpLabelChannel.TabIndex = 48;
-      // 
-      // label12
-      // 
-      this.label12.AutoSize = true;
-      this.label12.Location = new System.Drawing.Point(21, 24);
-      this.label12.Name = "label12";
-      this.label12.Size = new System.Drawing.Size(73, 13);
-      this.label12.TabIndex = 45;
-      this.label12.Text = "Tuner locked:";
-      // 
-      // mpGroupBox1
-      // 
-      this.mpGroupBox1.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.mpGroupBox1.Controls.Add(this.label3);
-      this.mpGroupBox1.Controls.Add(this.txtDisc);
-      this.mpGroupBox1.Controls.Add(this.txtBytes);
-      this.mpGroupBox1.Controls.Add(this.label4);
-      this.mpGroupBox1.Controls.Add(this.mpLabelSignalQuality);
-      this.mpGroupBox1.Controls.Add(this.mpLabelSignalLevel);
-      this.mpGroupBox1.Controls.Add(this.mpLabelRecording);
-      this.mpGroupBox1.Controls.Add(this.mpLabelTimeShift);
-      this.mpGroupBox1.Controls.Add(this.label1);
-      this.mpGroupBox1.Controls.Add(this.progressBarQuality);
-      this.mpGroupBox1.Controls.Add(this.label12);
-      this.mpGroupBox1.Controls.Add(this.progressBarLevel);
-      this.mpGroupBox1.Controls.Add(this.mpLabelChannel);
-      this.mpGroupBox1.Controls.Add(this.label2);
-      this.mpGroupBox1.Controls.Add(this.mpLabelTunerLocked);
-      this.mpGroupBox1.Controls.Add(this.mpLabel3);
-      this.mpGroupBox1.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
-      this.mpGroupBox1.Location = new System.Drawing.Point(12, 12);
-      this.mpGroupBox1.Name = "mpGroupBox1";
-      this.mpGroupBox1.Size = new System.Drawing.Size(446, 177);
-      this.mpGroupBox1.TabIndex = 53;
-      this.mpGroupBox1.TabStop = false;
-      this.mpGroupBox1.Text = "Status:";
-      // 
-      // label3
-      // 
-      this.label3.AutoSize = true;
-      this.label3.Location = new System.Drawing.Point(21, 129);
-      this.label3.Name = "label3";
-      this.label3.Size = new System.Drawing.Size(120, 13);
-      this.label3.TabIndex = 70;
-      this.label3.Text = "TS packets processed: ";
-      // 
-      // txtDisc
-      // 
-      this.txtDisc.AcceptsReturn = true;
-      this.txtDisc.Location = new System.Drawing.Point(353, 126);
-      this.txtDisc.Name = "txtDisc";
-      this.txtDisc.ReadOnly = true;
-      this.txtDisc.Size = new System.Drawing.Size(80, 20);
-      this.txtDisc.TabIndex = 69;
-      this.txtDisc.Text = "0";
-      this.txtDisc.Value = 0;
-      // 
-      // txtBytes
-      // 
-      this.txtBytes.Location = new System.Drawing.Point(137, 126);
-      this.txtBytes.Name = "txtBytes";
-      this.txtBytes.ReadOnly = true;
-      this.txtBytes.Size = new System.Drawing.Size(118, 20);
-      this.txtBytes.TabIndex = 68;
-      this.txtBytes.Text = "0";
-      this.txtBytes.Value = 0;
-      // 
-      // label4
-      // 
-      this.label4.AutoSize = true;
-      this.label4.Location = new System.Drawing.Point(261, 129);
-      this.label4.Name = "label4";
-      this.label4.Size = new System.Drawing.Size(78, 13);
-      this.label4.TabIndex = 60;
-      this.label4.Text = "Discontinuities:";
-      // 
-      // mpLabelSignalQuality
-      // 
-      this.mpLabelSignalQuality.AutoSize = true;
-      this.mpLabelSignalQuality.Location = new System.Drawing.Point(420, 99);
-      this.mpLabelSignalQuality.Name = "mpLabelSignalQuality";
-      this.mpLabelSignalQuality.Size = new System.Drawing.Size(13, 13);
-      this.mpLabelSignalQuality.TabIndex = 58;
-      this.mpLabelSignalQuality.Text = "0";
-      // 
-      // mpLabelSignalLevel
-      // 
-      this.mpLabelSignalLevel.AutoSize = true;
-      this.mpLabelSignalLevel.Location = new System.Drawing.Point(420, 76);
-      this.mpLabelSignalLevel.Name = "mpLabelSignalLevel";
-      this.mpLabelSignalLevel.Size = new System.Drawing.Size(13, 13);
-      this.mpLabelSignalLevel.TabIndex = 57;
-      this.mpLabelSignalLevel.Text = "0";
-      // 
-      // mpLabelRecording
-      // 
-      this.mpLabelRecording.AutoSize = true;
-      this.mpLabelRecording.Location = new System.Drawing.Point(27, 152);
-      this.mpLabelRecording.Name = "mpLabelRecording";
-      this.mpLabelRecording.Size = new System.Drawing.Size(0, 13);
-      this.mpLabelRecording.TabIndex = 56;
-      // 
-      // mpLabelTimeShift
-      // 
-      this.mpLabelTimeShift.AutoSize = true;
-      this.mpLabelTimeShift.Location = new System.Drawing.Point(27, 129);
-      this.mpLabelTimeShift.Name = "mpLabelTimeShift";
-      this.mpLabelTimeShift.Size = new System.Drawing.Size(0, 13);
-      this.mpLabelTimeShift.TabIndex = 55;
-      // 
-      // mpLabel1
-      // 
-      this.mpLabel1.AutoSize = true;
-      this.mpLabel1.Location = new System.Drawing.Point(9, 223);
-      this.mpLabel1.Name = "mpLabel1";
-      this.mpLabel1.Size = new System.Drawing.Size(49, 13);
-      this.mpLabel1.TabIndex = 55;
-      this.mpLabel1.Text = "Channel:";
-      // 
-      // mpButtonTimeShift
-      // 
-      this.mpButtonTimeShift.Location = new System.Drawing.Point(221, 218);
-      this.mpButtonTimeShift.Name = "mpButtonTimeShift";
-      this.mpButtonTimeShift.Size = new System.Drawing.Size(115, 23);
-      this.mpButtonTimeShift.TabIndex = 56;
-      this.mpButtonTimeShift.Text = "TimeShift";
-      this.mpButtonTimeShift.UseVisualStyleBackColor = true;
-      this.mpButtonTimeShift.Click += new System.EventHandler(this.mpButtonTimeShift_Click);
-      // 
-      // mpButtonRec
-      // 
-      this.mpButtonRec.Enabled = false;
-      this.mpButtonRec.Location = new System.Drawing.Point(343, 218);
-      this.mpButtonRec.Name = "mpButtonRec";
-      this.mpButtonRec.Size = new System.Drawing.Size(115, 23);
-      this.mpButtonRec.TabIndex = 57;
-      this.mpButtonRec.Text = "Record";
-      this.mpButtonRec.UseVisualStyleBackColor = true;
-      this.mpButtonRec.Click += new System.EventHandler(this.mpButtonRec_Click);
-      // 
-      // timer1
-      // 
-      this.timer1.Interval = 1000;
-      this.timer1.Tick += new System.EventHandler(this.timer1_Tick);
-      // 
-      // mpListView1
-      // 
-      this.mpListView1.AllowDrop = true;
-      this.mpListView1.AllowRowReorder = true;
-      this.mpListView1.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.mpListView1.Columns.AddRange(new System.Windows.Forms.ColumnHeader[] {
+        this.components = new System.ComponentModel.Container();
+        System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(TestService));
+        this.progressBarQuality = new System.Windows.Forms.ProgressBar();
+        this.progressBarLevel = new System.Windows.Forms.ProgressBar();
+        this.label2 = new System.Windows.Forms.Label();
+        this.label1 = new System.Windows.Forms.Label();
+        this.mpLabel3 = new MediaPortal.UserInterface.Controls.MPLabel();
+        this.mpLabelTunerLocked = new MediaPortal.UserInterface.Controls.MPLabel();
+        this.mpLabelChannel = new MediaPortal.UserInterface.Controls.MPLabel();
+        this.label12 = new System.Windows.Forms.Label();
+        this.mpGroupBox1 = new MediaPortal.UserInterface.Controls.MPGroupBox();
+        this.label3 = new System.Windows.Forms.Label();
+        this.txtDisc = new MediaPortal.UserInterface.Controls.MPNumericTextBox();
+        this.txtBytes = new MediaPortal.UserInterface.Controls.MPNumericTextBox();
+        this.label4 = new System.Windows.Forms.Label();
+        this.mpLabelSignalQuality = new MediaPortal.UserInterface.Controls.MPLabel();
+        this.mpLabelSignalLevel = new MediaPortal.UserInterface.Controls.MPLabel();
+        this.mpLabelRecording = new MediaPortal.UserInterface.Controls.MPLabel();
+        this.mpLabelTimeShift = new MediaPortal.UserInterface.Controls.MPLabel();
+        this.mpLabel1 = new MediaPortal.UserInterface.Controls.MPLabel();
+        this.mpButtonTimeShift = new MediaPortal.UserInterface.Controls.MPButton();
+        this.mpButtonRec = new MediaPortal.UserInterface.Controls.MPButton();
+        this.timer1 = new System.Windows.Forms.Timer(this.components);
+        this.mpListView1 = new MediaPortal.UserInterface.Controls.MPListView();
+        this.columnHeader1 = ((System.Windows.Forms.ColumnHeader)(new System.Windows.Forms.ColumnHeader()));
+        this.columnHeader2 = ((System.Windows.Forms.ColumnHeader)(new System.Windows.Forms.ColumnHeader()));
+        this.columnHeader3 = ((System.Windows.Forms.ColumnHeader)(new System.Windows.Forms.ColumnHeader()));
+        this.columnHeader4 = ((System.Windows.Forms.ColumnHeader)(new System.Windows.Forms.ColumnHeader()));
+        this.columnHeader5 = ((System.Windows.Forms.ColumnHeader)(new System.Windows.Forms.ColumnHeader()));
+        this.User = ((System.Windows.Forms.ColumnHeader)(new System.Windows.Forms.ColumnHeader()));
+        this.cardName = ((System.Windows.Forms.ColumnHeader)(new System.Windows.Forms.ColumnHeader()));
+        this.subchannels = ((System.Windows.Forms.ColumnHeader)(new System.Windows.Forms.ColumnHeader()));
+        this.buttonRestart = new System.Windows.Forms.Button();
+        this.mpButtonReGrabEpg = new MediaPortal.UserInterface.Controls.MPButton();
+        this.imageList1 = new System.Windows.Forms.ImageList(this.components);
+        this.mpComboBoxChannels = new SetupControls.ComboBoxEx();
+        this.comboBoxGroups = new SetupControls.ComboBoxEx();
+        this.mpLabel2 = new MediaPortal.UserInterface.Controls.MPLabel();
+        this.mpGroupBox1.SuspendLayout();
+        this.SuspendLayout();
+        // 
+        // progressBarQuality
+        // 
+        this.progressBarQuality.Location = new System.Drawing.Point(111, 102);
+        this.progressBarQuality.Name = "progressBarQuality";
+        this.progressBarQuality.Size = new System.Drawing.Size(303, 10);
+        this.progressBarQuality.TabIndex = 52;
+        // 
+        // progressBarLevel
+        // 
+        this.progressBarLevel.Location = new System.Drawing.Point(111, 79);
+        this.progressBarLevel.Name = "progressBarLevel";
+        this.progressBarLevel.Size = new System.Drawing.Size(303, 10);
+        this.progressBarLevel.TabIndex = 51;
+        // 
+        // label2
+        // 
+        this.label2.AutoSize = true;
+        this.label2.Location = new System.Drawing.Point(21, 99);
+        this.label2.Name = "label2";
+        this.label2.Size = new System.Drawing.Size(72, 13);
+        this.label2.TabIndex = 50;
+        this.label2.Text = "Signal quality:";
+        // 
+        // label1
+        // 
+        this.label1.AutoSize = true;
+        this.label1.Location = new System.Drawing.Point(21, 76);
+        this.label1.Name = "label1";
+        this.label1.Size = new System.Drawing.Size(64, 13);
+        this.label1.TabIndex = 49;
+        this.label1.Text = "Signal level:";
+        // 
+        // mpLabel3
+        // 
+        this.mpLabel3.AutoSize = true;
+        this.mpLabel3.Location = new System.Drawing.Point(21, 38);
+        this.mpLabel3.Name = "mpLabel3";
+        this.mpLabel3.Size = new System.Drawing.Size(49, 13);
+        this.mpLabel3.TabIndex = 47;
+        this.mpLabel3.Text = "Channel:";
+        // 
+        // mpLabelTunerLocked
+        // 
+        this.mpLabelTunerLocked.AutoSize = true;
+        this.mpLabelTunerLocked.Location = new System.Drawing.Point(113, 16);
+        this.mpLabelTunerLocked.Name = "mpLabelTunerLocked";
+        this.mpLabelTunerLocked.Size = new System.Drawing.Size(19, 13);
+        this.mpLabelTunerLocked.TabIndex = 46;
+        this.mpLabelTunerLocked.Text = "no";
+        // 
+        // mpLabelChannel
+        // 
+        this.mpLabelChannel.AutoEllipsis = true;
+        this.mpLabelChannel.Location = new System.Drawing.Point(113, 38);
+        this.mpLabelChannel.Name = "mpLabelChannel";
+        this.mpLabelChannel.Size = new System.Drawing.Size(303, 26);
+        this.mpLabelChannel.TabIndex = 48;
+        this.mpLabelChannel.Text = "Channel Info\r\nChannel Info";
+        // 
+        // label12
+        // 
+        this.label12.AutoSize = true;
+        this.label12.Location = new System.Drawing.Point(21, 16);
+        this.label12.Name = "label12";
+        this.label12.Size = new System.Drawing.Size(73, 13);
+        this.label12.TabIndex = 45;
+        this.label12.Text = "Tuner locked:";
+        // 
+        // mpGroupBox1
+        // 
+        this.mpGroupBox1.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                    | System.Windows.Forms.AnchorStyles.Right)));
+        this.mpGroupBox1.Controls.Add(this.label3);
+        this.mpGroupBox1.Controls.Add(this.txtDisc);
+        this.mpGroupBox1.Controls.Add(this.txtBytes);
+        this.mpGroupBox1.Controls.Add(this.label4);
+        this.mpGroupBox1.Controls.Add(this.mpLabelSignalQuality);
+        this.mpGroupBox1.Controls.Add(this.mpLabelSignalLevel);
+        this.mpGroupBox1.Controls.Add(this.mpLabelRecording);
+        this.mpGroupBox1.Controls.Add(this.mpLabelTimeShift);
+        this.mpGroupBox1.Controls.Add(this.label1);
+        this.mpGroupBox1.Controls.Add(this.progressBarQuality);
+        this.mpGroupBox1.Controls.Add(this.label12);
+        this.mpGroupBox1.Controls.Add(this.progressBarLevel);
+        this.mpGroupBox1.Controls.Add(this.mpLabelChannel);
+        this.mpGroupBox1.Controls.Add(this.label2);
+        this.mpGroupBox1.Controls.Add(this.mpLabelTunerLocked);
+        this.mpGroupBox1.Controls.Add(this.mpLabel3);
+        this.mpGroupBox1.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
+        this.mpGroupBox1.Location = new System.Drawing.Point(12, 12);
+        this.mpGroupBox1.Name = "mpGroupBox1";
+        this.mpGroupBox1.Size = new System.Drawing.Size(446, 177);
+        this.mpGroupBox1.TabIndex = 53;
+        this.mpGroupBox1.TabStop = false;
+        this.mpGroupBox1.Text = "Status:";
+        // 
+        // label3
+        // 
+        this.label3.AutoSize = true;
+        this.label3.Location = new System.Drawing.Point(21, 126);
+        this.label3.Name = "label3";
+        this.label3.Size = new System.Drawing.Size(120, 13);
+        this.label3.TabIndex = 70;
+        this.label3.Text = "TS packets processed: ";
+        // 
+        // txtDisc
+        // 
+        this.txtDisc.AcceptsReturn = true;
+        this.txtDisc.Location = new System.Drawing.Point(353, 123);
+        this.txtDisc.Name = "txtDisc";
+        this.txtDisc.ReadOnly = true;
+        this.txtDisc.Size = new System.Drawing.Size(80, 20);
+        this.txtDisc.TabIndex = 69;
+        this.txtDisc.Text = "0";
+        this.txtDisc.Value = 0;
+        // 
+        // txtBytes
+        // 
+        this.txtBytes.Location = new System.Drawing.Point(145, 123);
+        this.txtBytes.Name = "txtBytes";
+        this.txtBytes.ReadOnly = true;
+        this.txtBytes.Size = new System.Drawing.Size(118, 20);
+        this.txtBytes.TabIndex = 68;
+        this.txtBytes.Text = "0";
+        this.txtBytes.Value = 0;
+        // 
+        // label4
+        // 
+        this.label4.AutoSize = true;
+        this.label4.Location = new System.Drawing.Point(269, 126);
+        this.label4.Name = "label4";
+        this.label4.Size = new System.Drawing.Size(78, 13);
+        this.label4.TabIndex = 60;
+        this.label4.Text = "Discontinuities:";
+        // 
+        // mpLabelSignalQuality
+        // 
+        this.mpLabelSignalQuality.AutoSize = true;
+        this.mpLabelSignalQuality.Location = new System.Drawing.Point(420, 99);
+        this.mpLabelSignalQuality.Name = "mpLabelSignalQuality";
+        this.mpLabelSignalQuality.Size = new System.Drawing.Size(13, 13);
+        this.mpLabelSignalQuality.TabIndex = 58;
+        this.mpLabelSignalQuality.Text = "0";
+        // 
+        // mpLabelSignalLevel
+        // 
+        this.mpLabelSignalLevel.AutoSize = true;
+        this.mpLabelSignalLevel.Location = new System.Drawing.Point(420, 76);
+        this.mpLabelSignalLevel.Name = "mpLabelSignalLevel";
+        this.mpLabelSignalLevel.Size = new System.Drawing.Size(13, 13);
+        this.mpLabelSignalLevel.TabIndex = 57;
+        this.mpLabelSignalLevel.Text = "0";
+        // 
+        // mpLabelRecording
+        // 
+        this.mpLabelRecording.AutoSize = true;
+        this.mpLabelRecording.Location = new System.Drawing.Point(21, 151);
+        this.mpLabelRecording.Name = "mpLabelRecording";
+        this.mpLabelRecording.Size = new System.Drawing.Size(54, 13);
+        this.mpLabelRecording.TabIndex = 56;
+        this.mpLabelRecording.Text = "tsfilename";
+        // 
+        // mpLabelTimeShift
+        // 
+        this.mpLabelTimeShift.AutoSize = true;
+        this.mpLabelTimeShift.Location = new System.Drawing.Point(21, 151);
+        this.mpLabelTimeShift.Name = "mpLabelTimeShift";
+        this.mpLabelTimeShift.Size = new System.Drawing.Size(54, 13);
+        this.mpLabelTimeShift.TabIndex = 55;
+        this.mpLabelTimeShift.Text = "tsfilename";
+        // 
+        // mpLabel1
+        // 
+        this.mpLabel1.AutoSize = true;
+        this.mpLabel1.Location = new System.Drawing.Point(9, 223);
+        this.mpLabel1.Name = "mpLabel1";
+        this.mpLabel1.Size = new System.Drawing.Size(49, 13);
+        this.mpLabel1.TabIndex = 55;
+        this.mpLabel1.Text = "Channel:";
+        // 
+        // mpButtonTimeShift
+        // 
+        this.mpButtonTimeShift.Location = new System.Drawing.Point(221, 218);
+        this.mpButtonTimeShift.Name = "mpButtonTimeShift";
+        this.mpButtonTimeShift.Size = new System.Drawing.Size(115, 23);
+        this.mpButtonTimeShift.TabIndex = 56;
+        this.mpButtonTimeShift.Text = "TimeShift";
+        this.mpButtonTimeShift.UseVisualStyleBackColor = true;
+        this.mpButtonTimeShift.Click += new System.EventHandler(this.mpButtonTimeShift_Click);
+        // 
+        // mpButtonRec
+        // 
+        this.mpButtonRec.Enabled = false;
+        this.mpButtonRec.Location = new System.Drawing.Point(343, 218);
+        this.mpButtonRec.Name = "mpButtonRec";
+        this.mpButtonRec.Size = new System.Drawing.Size(115, 23);
+        this.mpButtonRec.TabIndex = 57;
+        this.mpButtonRec.Text = "Record";
+        this.mpButtonRec.UseVisualStyleBackColor = true;
+        this.mpButtonRec.Click += new System.EventHandler(this.mpButtonRec_Click);
+        // 
+        // timer1
+        // 
+        this.timer1.Interval = 1000;
+        this.timer1.Tick += new System.EventHandler(this.timer1_Tick);
+        // 
+        // mpListView1
+        // 
+        this.mpListView1.AllowDrop = true;
+        this.mpListView1.AllowRowReorder = true;
+        this.mpListView1.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                    | System.Windows.Forms.AnchorStyles.Left)
+                    | System.Windows.Forms.AnchorStyles.Right)));
+        this.mpListView1.Columns.AddRange(new System.Windows.Forms.ColumnHeader[] {
             this.columnHeader1,
             this.columnHeader2,
             this.columnHeader3,
